Visual Studio 2017 Support

Oct 19, 2017 at 5:05 PM
Hi,

Can this extension be ported to support VS 2017?

Thanks!
Andrew
Oct 20, 2017 at 4:50 PM
This package is no longer supported, and I don't have any practical way to help you.
You might try following the steps below, changing the version from 11.0 to 15.0. Perhaps you'll also need to change "Ultimate" to "Community" or something like that.
I have no idea whether this will work.
-Dale
p.s. perhaps Perforce has a decent add-in by now...

Instructions for converting the generated .vsix file to support VS11 Beta
  1. Raname .vsix to .zip and unzip it
  2. Edit the extension.vsixmanifest file with Notepad
  3. Under <SupportedProducts>, BEFORE the opening of <VisualStudio Version="10.0">, add:
    <VisualStudio Version="11.0">
    <Edition>Ultimate</Edition>
    <Edition>Premium</Edition>
    <Edition>Pro</Edition>
    <Edition>IntegratedShell</Edition>
    </VisualStudio>
  4. Send the files to a .zip file
  5. Rename the .zip to .vsix__
Oct 24, 2017 at 4:16 PM
Thanks for the response!

I tried out the P4 VS Helix Plugin and it's not bad. It's definitely improved from before. I still like yours, but this will do. If I get time I will try what you suggested.


Thanks,
Andrew